Subject: Re: Mystery packet killing tg3

From: Andi Kleen <[email-masked]>
Date: 5 May 2005 13:43:27 +0200

> >IOMMU code on x86-64 should be never active unless Stephen
> >used IOMMU_DEBUG or iommu=force.  THat is because the tg3
> >is a 64bit capable device and should always use bypass.
> 
> how is this detected? we have a board that is using a 32bit e1000 and we 
> have to use iommu=force otherwise it doesn't do the right thing with > 
> 4GB of RAM.

"32bit e1000"? How did you get such a beast? AFAIK all e1000s are 64bit
address capable. Please supply a full boot log without iommu=force 
and describe what happens exactly.

-Andi